Subject: [bug#56204] Add guile-goblins

From: Christine Lemmer-Webber <[email-masked]>
Date: Sun, 26 Jun 2022 15:09:42 -0400

Ludovic Courtès <[email-masked]> writes:

> Maxime Devos <[email-masked]> skribis:
>
>> Christine Lemmer-Webber schreef op vr 24-06-2022 om 17:24 [-0400]:
>>> +    (version "0.8")
>>> +    (source
>>> +     (origin
>>> +       (method git-fetch)
>>> +       (uri (git-reference
>>> +             (url "https://gitlab.com/spritely/guile-goblins/")
>>> +             (commit (string-append "v" version))))
>>> +       (file-name (string-append name "-" version))
>>> +       (sha256
>>> +        (base32
>>> +         "1mmyykh79jwhrfgnhhw94aw7a8m6qw249kj7k60ynj16mcfm5iyy"))))
>>
>>
>> I'm not seeing "--target" in  the invocation of "$(GUILE_TOOLS)
>> compile", so I don't think that currently it will cross-compile
>> correctly.  Could you add a --target=... in the Makefile.am?
>
> That can come upstream in the next version of Goblins IMO.
>
> Ludo’.

Cool, I added it to commit 6664daa27e9b3eb3220ba83d9c874b730e792f90 in
guile-goblins.  However I was just mimicing guile-gcrypt, so I'm not
sure if it's right:

#+BEGIN_SRC diff
diff --git a/Makefile.am b/Makefile.am
index b8d4944..b056337 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -32,7 +32,7 @@ EXTRA_DIST = $(SOURCES) $(NOCOMP_SOURCES)
 GUILE_WARNINGS = -Wunbound-variable -Warity-mismatch -Wformat
 SUFFIXES = .scm .go
 .scm.go:
-	$(AM_V_GEN)$(top_builddir)/pre-inst-env $(GUILE_TOOLS) compile $(GUILE_WARNINGS) -o "$@" "$<"
+	$(AM_V_GEN)$(top_builddir)/pre-inst-env $(GUILE_TOOLS) compile $(GUILE_TARGET) $(GUILE_WARNINGS) -o "$@" "$<"
 
 SOURCES = goblins.scm \
           goblins/ocapn/crypto-stubs.scm \
#+END_SRC

Should that be sufficient?

Notably, the Makefile.am here was bootstrapped using guile-hall, so my
suspicion is that this is an update that should be made in guile-hall's
templates also, then everyone can benefit.

The next release of Goblins should be due out very quickly, I think, so
we'll be able to take advantage of it then.